<?php 
require "../../Run.php";
if($_GET['action'] == 'admin'){
if($admin != 1&& $admin !=2){
	ehtml("权限不足");
	exit;
}
echo head("勋章管理");
if($_GET['type'] == 'add'){
if($_POST['text']==NULL||$_POST['url']==NULL){
die("错误，不能留空");
}
$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \''.$_POST['text'].'\', \''.WAPID.'\', \''.$_POST['url'].'\', \''.$_POST['buy'].'\',\''.time().'\');';
$res = mysql_query($sql);
if($res &&  mysql_affected_rows()>0){
		echo '<div class="tip">勋章添加成功</div>';
	}else{
		echo '<div class="tip">勋章添加失败</div>';
	}
}
if($_GET['type'] == 'del'){
$sql = 'DELETE FROM bbs_xunzhang WHERE bbser_id =\''.$_GET['id'].'\' AND bbser_siteid=\''.WAPID.'\';';
$res = mysql_query($sql);
if($res &&  mysql_affected_rows()>0){
		echo '<div class="tip">勋章删除成功</div>';
	}else{
		echo '<div class="tip">勋章删除失败</div>';
	}
}
if($_GET['type'] == 'sys'){
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'荣誉勋章\', \''.WAPID.'\', \'/bbs/xunzhang/pic/rongyu.gif\', \'1000\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'在线之王\', \''.WAPID.'\', \'/bbs/xunzhang/pic/online.gif\', \'2000\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'音乐达人\', \''.WAPID.'\', \'/bbs/xunzhang/pic/music.gif\', \'3000\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'贴图之王\', \''.WAPID.'\', \'/bbs/xunzhang/pic/tietugs.gif\', \'4000\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'高手\', \''.WAPID.'\', \'/bbs/xunzhang/pic/gaoshou.gif\', \'4500\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'元老\', \''.WAPID.'\', \'/bbs/xunzhang/pic/yuanlao.gif\', \'5000\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'版主\', \''.WAPID.'\', \'/bbs/xunzhang/pic/banzhu.gif\', \'6000\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'总版主\', \''.WAPID.'\', \'/bbs/xunzhang/pic/zongbanzhu.gif\', \'6500\',\''.time().'\');';
	mysql_query($sql);
	$sql = 'INSERT INTO `bbs_xunzhang` (`bbser_id`, `bbser_text`, `bbser_siteid`, `bbser_url`, `bbser_buy`, `bbser_time`) VALUES (NULL, \'管理员\', \''.WAPID.'\', \'/bbs/xunzhang/pic/guanliyuan.gif\', \'7000\',\''.time().'\');';
	mysql_query($sql);
	echo '<div class="tip">已经导入系统默认勋章。正在返回...</div>';
	echo '<script>window.location="list.php?action=admin"</script>';

}
$sql = 'SELECT * FROM `bbs_xunzhang` WHERE bbser_siteid=\''.WAPID.'\' LIMIT 0, 30';
$res = mysql_query($sql);
if($res && mysql_num_rows($res)>0){
	while(list($bbser_id,$bbser_text,$bbser_siteid,$bbser_url,$bbser_buy,$bbser_time) = mysql_fetch_row($res)){
		$list .= '<img src="'.$bbser_url.'" alt="'.$bbser_text.'">'.$bbser_text.' <br><a href="?action=admin&type=del&id='.$bbser_id.'">删除</a>(购价'.$bbser_buy.')<br>';
	}
}   
echo '<div class="title">勋章列表|<a href="?action=admin&type=sys">导入系统勋章</a></div>';
	echo '<form method="POST" action="?action=admin&cid='.$_GET['cid'].'&type=add">
		<text>勋章名称:</text><br>';
		echo '<input name="text" type="text" value="">';
		echo '<br><text>勋章地址(必须为站内地址)<br>http://'.HTTP_HOST.':</text><br>';
		echo '<input name="url" type="text" value="/pic/no.jpg">';
		echo '<br><text>购买价格:</text><br>';
		echo '<input name="buy" type="text" value="">';
		echo '<br>';
		echo '<input type="submit" value="添加勋章">';
		echo '</form>';
echo '<div class="content">';
echo $list;
echo '</div>';
echo '<div class="mylink"><a href="http://'.HTTP_HOST.'/admin/wap_admin.php?cid='.$_GET['cid'].'">管理后台</a></div>';
echo footer(1);
}else{
echo head("勋章管理");
$sql = 'SELECT * FROM `bbs_xunzhang` WHERE bbser_siteid=\''.WAPID.'\' LIMIT 0, 30';
$res = mysql_query($sql);
if($res && mysql_num_rows($res)>0){
	while(list($bbser_id,$bbser_textd,$bbser_siteid,$bbser_url,$bbser_buy,$bbser_time) = mysql_fetch_row($res)){
		$list .= '<img src="'.$bbser_url.'" alt="'.$bbser_text.'">'.$bbser_text.'(购价'.$bbser_buy.')<br>';
	}
}   
echo '<div class="title">勋章列表</div>';
/*	echo '<form method="POST" action="?action=admin&cid='.$_GET['cid'].'&type=add">
		<text>勋章名称:</text><br>';
		echo '<input name="text" type="text" value="">';
		echo '<br><text>勋章地址:</text><br>';
		echo '<input name="url" type="text" value="">';
		echo '<br><text>购买价格:</text><br>';
		echo '<input name="buy" type="text" value="">';
		echo '<br>';
		echo '<input type="submit" value="添加勋章">';
		echo '</form>';*/
echo '<div class="content">';
echo $list;
echo '</div>';
echo '<div class="mylink"><a href="http://'.HTTP_HOST.'/user/zone.php?">我的空间</a></div>';
echo footer(1);
}
?>